API ReferenceTask
Retrieves permission information about requested objects.
GET
Retrieves permission information about requested objects by their shortCode or Id. In case both id and shortCode are sent, id will be prioritized. In case many values are sent in one parameter, first value will be prioritized.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
projectShortCode?stringShortCode of project that permissionInfo is going to be returned
boardShortCode?stringShortCode of board that permissionInfo is going to be returned
taskShortCode?stringShortCode of task that permissionInfo is going to be returned
projectId?stringId of project that permissionInfo is going to be returned
boardId?stringId of board that permissionInfo is going to be returned
taskId?stringId of task that permissionInfo is going to be returned
ObjectsPermissionInformation resource
- response
user?stringFormat
uuidprojectPermissionInformation?|nullboardPermissionInformation?|nulltaskPermissionInformation?|nullcurl -X GET 'https://app.icproject.com/api/instance/demo/project/objects-permission-information'Example Response
{ "user": "76f62a58-5404-486d-9afc-07bded328704", "projectPermissionInformation": { "assignedProjectUserRole": "none", "canReportTime": true, "requireTaskTypeOnTaskCreation": true, "isBoardLeaderActiveOrHigher": true, "canViewHourlyRate": true, "canEditHourlyRate": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "canManage": false }, "boardPermissionInformation": { "assignedBoardUserRole": "none", "isBlameableRemovalEnabled": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "canManage": false }, "taskPermissionInformation": { "assignedTaskUser": "e8493fc8-f21c-474c-9d22-247ab9ea9c9e", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "canManage": false }}